<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>
<%@ taglib prefix="js" uri="net.sourceforge.jsurveyor.jsurveyorlib" %>
<%@ page import="net.sourceforge.jsurveyor.*" %>
<%@ page import="java.util.ArrayList" %>
<js:noCache />
<js:login access="admin" />
<%
String userName = request.getParameter("userName");
Questionnaire newQ = new Questionnaire("U"+userName,"This is your new questionnaire, ready for editing");
QuestionPage newP = new QuestionPage();
DataAccess.storeQuestionPage(newP);
newQ.addQuestionPage(newP);
DataAccess.storeQuestionnaire(newQ);
response.sendRedirect("admin_main.jsp");
%>
